## onnxruntime 1.21.0+dfsg

=== requirements.txt ===
coloredlogs
flatbuffers
numpy >= 1.21.6
packaging
protobuf
sympy

=== cmake/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation. All rights reserved.
# SPDX-FileCopyrightText: Copyright 2024 Arm Limited and/or its affiliates <open-source-office@arm.com>
# Licensed under the MIT License.

# Minimum CMake required
cmake_minimum_required(VERSION 3.28)

# Don't let cmake set a default value for CMAKE_CUDA_ARCHITECTURES
cmake_policy(SET CMP0104 OLD)
# Project
project(onnxruntime C CXX ASM)

# Disable fast-math for Intel oneAPI compiler
if("${CMAKE_CXX_COMPILER_ID}" MATCHES "IntelLLVM")
  if("${CMAKE_CXX_COMPILER_ID}" MATCHES "MSVC-like")
    # Using icx-cl compiler driver with MSVC-like arguments
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /fp:precise")
  else()
    # Using icpx compiler driver
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-fast-math")
  endif()
endif()

# Needed for Java
set(CMAKE_C_STANDARD 99)

include(CheckCXXCompilerFlag)
include(CheckLanguage)
include(CMakeDependentOption)
include(FetchContent)
include(CheckFunctionExists)
include(GNUInstallDirs) # onnxruntime_providers_* require CMAKE_INSTALL_* variables

# TODO: update this once all system adapt c++20
if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
set(CMAKE_CXX_STANDARD 20)
else()
set(CMAKE_CXX_STANDARD 17)
endif()

if (MSVC)
  #  Make sure Visual Studio sets __cplusplus macro correctly: https://learn.microsoft.com/en-us/cpp/build/reference/zc-cplusplus
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)
# NOTE: POSITION INDEPENDENT CODE hurts performance, and it only make sense on POSIX systems
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Enable CTest
enable_testing()
include(CTest)
if (NOT CMAKE_BUILD_TYPE)
  message(STATUS "Build type not set - using RelWithDebInfo")
  set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose build type: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_LESS 9)
  message(FATAL_ERROR  "GCC version must be greater than or equal to 9")
endif()

# Options
option(onnxruntime_USE_VCPKG "Build with the vcpkg package manager" OFF)
option(onnxruntime_RUN_ONNX_TESTS "Enable ONNX Compatibility Testing" OFF)
option(onnxruntime_GENERATE_TEST_REPORTS "Enable test report generation" OFF)
option(onnxruntime_ENABLE_STATIC_ANALYSIS "Enable static analysis" OFF)
option(onnxruntime_USE_CUSTOM_STATIC_ANALYSIS_RULES "Use a custom SDL Rule. It is mainly for our CI build" OFF)
option(onnxruntime_REDIRECT_STATIC_ANALYSIS_OUTPUTS_TO_FILE "Use a custom SDL Rule. It is mainly for our CI build" OFF)
option(onnxruntime_ENABLE_PYTHON "Enable python buildings" OFF)
# Enable it may cause LNK1169 error
option(onnxruntime_ENABLE_MEMLEAK_CHECKER "Experimental: Enable memory leak checker in Windows debug build" OFF)
option(onnxruntime_USE_CUDA "Build with CUDA support" OFF)
# Enable ONNX Runtime CUDA EP's internal unit tests that directly access the EP's internal functions instead of through
# OpKernels. When the option is ON, we will have two copies of GTest library in the same process. It is not a typical
# use. If you hit any problem with that, please do not report it to GTest. Turn OFF the following build option instead.
cmake_dependent_option(onnxruntime_ENABLE_CUDA_EP_INTERNAL_TESTS "Build with CUDA unit tests" OFF "onnxruntime_USE_CUDA;onnxruntime_BUILD_UNIT_TESTS" OFF)

cmake_dependent_option(onnxruntime_USE_CUDA_NHWC_OPS "Build CUDA with NHWC op support" ON "onnxruntime_USE_CUDA" OFF)
option(onnxruntime_CUDA_MINIMAL "Build CUDA without any operations apart from memcpy ops. Usefuel for a very minial TRT build" OFF)
option(onnxruntime_ENABLE_CUDA_LINE_NUMBER_INFO "When building with CUDA support, generate device code line number information." OFF)
option(onnxruntime_USE_OPENVINO "Build with OpenVINO support" OFF)
option(onnxruntime_USE_COREML "Build with CoreML support" OFF)
option(onnxruntime_USE_NNAPI_BUILTIN "Build with builtin NNAPI lib for Android NNAPI support" OFF)
option(onnxruntime_USE_QNN "Build with QNN support" OFF)
option(onnxruntime_BUILD_QNN_EP_STATIC_LIB "Build with QNN EP as a static library" OFF)
option(onnxruntime_USE_SNPE "Build with SNPE support" OFF)
option(onnxruntime_USE_RKNPU "Build with RKNPU support" OFF)
option(onnxruntime_USE_DNNL "Build with DNNL support" OFF)
option(onnxruntime_USE_JSEP "Build with JavaScript implemented kernels support" OFF)
option(onnxruntime_BUILD_UNIT_TESTS "Build ONNXRuntime unit tests" ON)
option(onnxruntime_BUILD_CSHARP "Build C# library" OFF)
option(onnxruntime_BUILD_OBJC "Build Objective-C library" OFF)
option(onnxruntime_USE_PREINSTALLED_EIGEN "Use pre-installed EIGEN. Need to provide eigen_SOURCE_PATH if turn this on." OFF)
option(onnxruntime_BUILD_BENCHMARKS "Build ONNXRuntime micro-benchmarks" OFF)
option(onnxruntime_USE_VSINPU "Build with VSINPU support" OFF)

cmake_dependent_option(onnxruntime_USE_FLASH_ATTENTION "Build flash attention kernel for scaled dot product attention" ON "onnxruntime_USE_CUDA" OFF)
cmake_dependent_option(onnxruntime_USE_LEAN_ATTENTION "Build lean attention kernel for scaled dot product attention" ON "onnxruntime_USE_CUDA; NOT WIN32" OFF)
option(onnxruntime_USE_MEMORY_EFFICIENT_ATTENTION "Build memory efficient attention kernel for scaled dot product attention" ON)

option(onnxruntime_BUILD_FOR_NATIVE_MACHINE "Enable this option for turning on optimization specific to this machine" OFF)
option(onnxruntime_USE_AVX "Use AVX instructions" OFF)
option(onnxruntime_USE_AVX2 "Use AVX2 instructions" OFF)
option(onnxruntime_USE_AVX512 "Use AVX512 instructions" OFF)

option(onnxruntime_BUILD_SHARED_LIB "Build a shared library" OFF)
option(onnxruntime_BUILD_APPLE_FRAMEWORK "Build a macOS/iOS framework" OFF)
option(onnxruntime_ENABLE_MICROSOFT_INTERNAL "Use this option to enable/disable microsoft internal only code" OFF)

option(onnxruntime_USE_VITISAI "Build with Vitis-AI" OFF)
option(onnxruntime_USE_TENSORRT "Build with TensorRT support" OFF)
option(onnxruntime_USE_TENSORRT_BUILTIN_PARSER "Use TensorRT builtin parser" OFF)
option(onnxruntime_ENABLE_LTO "Enable link time optimization" OFF)
option(onnxruntime_CROSS_COMPILING "Cross compiling onnx runtime" OFF)
option(onnxruntime_GCOV_COVERAGE "Compile with options necessary to run code coverage" OFF)
option(onnxruntime_DONT_VECTORIZE "Do not vectorize operations in Eigen" OFF)

option(onnxruntime_USE_FULL_PROTOBUF "Link to libprotobuf instead of libprotobuf-lite when this option is ON" OFF)
option(onnxruntime_DEBUG_NODE_INPUTS_OUTPUTS "Dump debug information about node inputs and outputs when executing the model." OFF)
cmake_dependent_option(onnxruntime_DEBUG_NODE_INPUTS_OUTPUTS_ENABLE_DUMP_TO_SQLDB "Build dump debug information about node inputs and outputs with support for sql database." OFF "onnxruntime_DEBUG_NODE_INPUTS_OUTPUTS" OFF)

# When loading a delay loaded DLL, Windows searches the main EXE's folder first.
cmake_dependent_option(onnxruntime_ENABLE_DELAY_LOADING_WIN_DLLS "Delay load some of the dependent DLls that are part of the OS" ON "WIN32;NOT GDK_PLATFORM" OFF)
option(onnxruntime_USE_DML "Build with DirectML support" OFF)
option(onnxruntime_USE_MIGRAPHX "Build with AMDMIGraphX support" OFF)
option(onnxruntime_USE_WINML "Build with WinML support" OFF)
option(onnxruntime_USE_ACL "Build with ACL support" OFF)
option(onnxruntime_USE_ARMNN "Build with ArmNN support" OFF)
option(onnxruntime_ARMNN_RELU_USE_CPU "Use the CPU implementation for the Relu operator for the ArmNN EP" ON)
option(onnxruntime_ARMNN_BN_USE_CPU "Use the CPU implementation for the Batch Normalization operator for the ArmNN EP" ON)
option(onnxruntime_ENABLE_INSTRUMENT "Enable Instrument with Event Tracing for Windows (ETW)" OFF)
option(onnxruntime_USE_TELEMETRY "Build with Telemetry" OFF)
cmake_dependent_option(onnxruntime_USE_MIMALLOC "Override new/delete and arena allocator with mimalloc" OFF "WIN32;NOT onnxruntime_USE_CUDA;NOT onnxruntime_USE_OPENVINO" OFF)
option(onnxruntime_USE_CANN "Build with CANN support" OFF)
option(onnxruntime_USE_ROCM "Build with AMD GPU support" OFF)
option(onnxruntime_USE_XNNPACK "Build with XNNPACK support. Provides an alternative math library on ARM, WebAssembly and x86." OFF)
option(onnxruntime_USE_WEBNN "Build with WebNN support. Enable hardware acceleration in web browsers." OFF)
option(onnxruntime_USE_WEBGPU "Build with WebGPU support. Enable WebGPU via C/C++ interface." OFF)
option(onnxruntime_USE_EXTERNAL_DAWN "Build with treating Dawn as external dependency. Will not link Dawn at build time." OFF)
option(onnxruntime_CUSTOM_DAWN_SRC_PATH "Path to custom Dawn src dir.")
option(onnxruntime_BUILD_DAWN_MONOLITHIC_LIBRARY "Build Dawn as a monolithic library" OFF)
option(onnxruntime_ENABLE_PIX_FOR_WEBGPU_EP "Adding frame present for PIX to capture a frame" OFF)
# The following 2 options are only for Windows
option(onnxruntime_ENABLE_DAWN_BACKEND_VULKAN "Enable Vulkan backend for Dawn (on Windows)" OFF)
option(onnxruntime_ENABLE_DAWN_BACKEND_D3D12 "Enable D3D12 backend for Dawn (on Windows)" ON)

# Options related to reducing the binary size produced by the build
# XNNPACK EP requires the internal NHWC contrib ops to be available, so this option must be OFF when onnxruntime_USE_XNNPACK is ON
cmake_dependent_option(onnxruntime_DISABLE_CONTRIB_OPS "Disable contrib ops" OFF "NOT onnxruntime_USE_XNNPACK" OFF)
option(onnxruntime_DISABLE_ML_OPS "Disable traditional ML ops" OFF)
option(onnxruntime_DISABLE_SPARSE_TENSORS "Disable sparse tensors data types" OFF)
option(onnxruntime_DISABLE_OPTIONAL_TYPE "Disable optional type" OFF)
option(onnxruntime_DISABLE_FLOAT8_TYPES "Disable float 8 types" OFF)
option(onnxruntime_MINIMAL_BUILD "Exclude as much as possible from the build. Support ORT format models. No support for ONNX format models." OFF)
cmake_dependent_option(onnxruntime_DISABLE_RTTI "Disable RTTI" ON "NOT onnxruntime_ENABLE_PYTHON;NOT onnxruntime_USE_CUDA" OFF)
# For now onnxruntime_DISABLE_EXCEPTIONS will only work with onnxruntime_MINIMAL_BUILD, more changes (ONNX, non-CPU EP, ...) are required to run this standalone
cmake_dependent_option(onnxruntime_DISABLE_EXCEPTIONS "Disable exception handling. Requires onnxruntime_MINIMAL_BUILD currently." ON "onnxruntime_MINIMAL_BUILD;NOT onnxruntime_ENABLE_PYTHON" OFF)
# Even when onnxruntime_DISABLE_ABSEIL is ON, ONNX Runtime still needs to link to abseil.
option(onnxruntime_DISABLE_ABSEIL "Do not use Abseil data structures in ONNX Runtime source code. Redefine Inlined containers to STD containers." OFF)

option(onnxruntime_EXTENDED_MINIMAL_BUILD "onnxruntime_MINIMAL_BUILD with support for execution providers that compile kernels." OFF)
option(onnxruntime_MINIMAL_BUILD_CUSTOM_OPS "Add custom operator kernels support to a minimal build." OFF)
option(onnxruntime_REDUCED_OPS_BUILD "Reduced set of kernels are registered in build via modification of the kernel registration source files." OFF)
option(onnxruntime_DISABLE_EXTERNAL_INITIALIZERS "Don't allow models to load external data" OFF)

#A special option just for debugging and sanitize check. Please do not enable in option in retail builds.
#The option has no effect on Windows.
option(onnxruntime_USE_VALGRIND "Build with valgrind hacks" OFF)

# A special build option only used for gathering code coverage info
option(onnxruntime_RUN_MODELTEST_IN_DEBUG_MODE "Run model tests even in debug mode" OFF)

# options for security fuzzing
# build configuration for fuzz testing is in onnxruntime_fuzz_test.cmake
option(onnxruntime_FUZZ_TEST "Enable Fuzz testing" OFF)

# training options
option(onnxruntime_ENABLE_NVTX_PROFILE "Enable NVTX profile." OFF)
option(onnxruntime_ENABLE_MEMORY_PROFILE "Enable memory profile." OFF)
option(onnxruntime_ENABLE_TRAINING "Enable full training functionality. Includes ORTModule and ORT Training APIs" OFF)
option(onnxruntime_ENABLE_TRAINING_APIS "Enable ort training apis." OFF)
option(onnxruntime_ENABLE_TRAINING_OPS "Include training operators but no training session support." OFF)

=== cmake/tensorboard/CMakeLists.txt ===
add_subdirectory(compat/proto)

=== docs/python/requirements.txt ===
autopep8
matplotlib
scikit-learn
skl2onnx
sphinx==5.3.0
sphinx-gallery
sphinxcontrib.imagesvg
sphinxcontrib.googleanalytics
sphinx_rtd_theme
furo
pyquickhelper
pandas
pydot
coloredlogs
flatbuffers
numpy<2.0.0
packaging
protobuf
sympy
onnx
sphinx_exec_code
sphinx_tabs
furo
torch

=== js/node/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project (onnxruntime-node)

set(CMAKE_CXX_STANDARD 17)

add_compile_definitions(NAPI_VERSION=${napi_build_version})
add_compile_definitions(ORT_API_MANUAL_INIT)

# dist variables
execute_process(COMMAND node -e "console.log(process.platform)"
                OUTPUT_VARIABLE node_platform OUTPUT_STRIP_TRAILING_WHITESPACE)
file(READ ${CMAKE_SOURCE_DIR}/../../VERSION_NUMBER ort_version)
string(STRIP "${ort_version}" ort_version)
set(dist_folder "${CMAKE_SOURCE_DIR}/bin/napi-v3/${node_platform}/${NODE_ARCH}/")

# onnxruntime.dll dir
if(NOT ONNXRUNTIME_BUILD_DIR)
  if (WIN32)
    set(ONNXRUNTIME_BUILD_DIR ${CMAKE_SOURCE_DIR}/../../build/Windows/${CMAKE_BUILD_TYPE})
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(ONNXRUNTIME_BUILD_DIR ${CMAKE_SOURCE_DIR}/../../build/MacOS/${CMAKE_BUILD_TYPE})
  else()
    set(ONNXRUNTIME_BUILD_DIR ${CMAKE_SOURCE_DIR}/../../build/Linux/${CMAKE_BUILD_TYPE})
  endif()
endif()

# include dirs
include_directories(${CMAKE_JS_INC})
include_directories(${CMAKE_SOURCE_DIR}/../../include/onnxruntime/core/session)
include_directories(${CMAKE_SOURCE_DIR}/../../include/onnxruntime)
include_directories(${CMAKE_SOURCE_DIR}/../../onnxruntime)
include_directories(${CMAKE_SOURCE_DIR}/node_modules/node-addon-api)

# optional providers
option(USE_DML "Build with DirectML support" OFF)
option(USE_WEBGPU "Build with WebGPU support" OFF)
option(USE_CUDA "Build with CUDA support" OFF)
option(USE_TENSORRT "Build with TensorRT support" OFF)
option(USE_COREML "Build with CoreML support" OFF)
option(USE_QNN "Build with QNN support" OFF)

if(USE_DML)
  add_compile_definitions(USE_DML=1)
endif()
if(USE_WEBGPU)
  add_compile_definitions(USE_WEBGPU=1)
endif()
if(USE_CUDA)
  add_compile_definitions(USE_CUDA=1)
endif()
if(USE_TENSORRT)
  add_compile_definitions(USE_TENSORRT=1)
endif()
if(USE_COREML)
  add_compile_definitions(USE_COREML=1)
endif()
if(USE_QNN)
  add_compile_definitions(USE_QNN=1)
endif()

# source files
file(GLOB ORT_NODEJS_BINDING_SOURCE_FILES ${CMAKE_SOURCE_DIR}/src/*.cc)

add_library(onnxruntime_binding SHARED ${ORT_NODEJS_BINDING_SOURCE_FILES} ${CMAKE_JS_SRC})
file(MAKE_DIRECTORY ${dist_folder})

set_target_properties(onnxruntime_binding PROPERTIES
  PREFIX "" SUFFIX ".node"
  RUNTIME_OUTPUT_DIRECTORY ${dist_folder}
  RUNTIME_OUTPUT_DIRECTORY_DEBUG ${dist_folder}
  RUNTIME_OUTPUT_DIRECTORY_RELEASE ${dist_folder}
  RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO ${dist_folder}
  LIBRARY_OUTPUT_DIRECTORY ${dist_folder}
  LIBRARY_OUTPUT_DIRECTORY_DEBUG ${dist_folder}
  LIBRARY_OUTPUT_DIRECTORY_RELEASE ${dist_folder}
  LIBRARY_OUTPUT_DIRECTORY_RELWITHDEBINFO ${dist_folder}
  BUILD_WITH_INSTALL_RPATH TRUE
  INSTALL_RPATH_USE_LINK_PATH FALSE)
target_link_libraries(onnxruntime_binding PRIVATE ${CMAKE_JS_LIB})

if(MSVC AND CMAKE_JS_NODELIB_DEF AND CMAKE_JS_NODELIB_TARGET)
  # Generate node.lib
  execute_process(COMMAND ${CMAKE_AR} /def:${CMAKE_JS_NODELIB_DEF} /out:${CMAKE_JS_NODELIB_TARGET} ${CMAKE_STATIC_LINKER_FLAGS})
endif()

if (WIN32)
  if (${ONNXRUNTIME_GENERATOR} MATCHES "Ninja")
    set(ONNXRUNTIME_WIN_BIN_DIR ${ONNXRUNTIME_BUILD_DIR})
  else()
    set(ONNXRUNTIME_WIN_BIN_DIR ${ONNXRUNTIME_BUILD_DIR}/${CMAKE_BUILD_TYPE})
  endif()
  message(STATUS "onnxruntime dist dir: ${ONNXRUNTIME_WIN_BIN_DIR}")
endif()
# add libraries
if (WIN32)
  target_link_directories(onnxruntime_binding PRIVATE ${ONNXRUNTIME_WIN_BIN_DIR})
else()
  target_link_directories(onnxruntime_binding PRIVATE ${ONNXRUNTIME_BUILD_DIR})
endif()

if (WIN32)
  target_link_libraries(onnxruntime_binding PRIVATE onnxruntime)
elseif (APPLE)
  target_link_libraries(onnxruntime_binding PRIVATE libonnxruntime.${ort_version}.dylib)
  set_target_properties(onnxruntime_binding PROPERTIES INSTALL_RPATH "@loader_path")
else()
  target_link_libraries(onnxruntime_binding PRIVATE onnxruntime)
  set_target_properties(onnxruntime_binding PROPERTIES INSTALL_RPATH "$ORIGIN/")
endif()


if (WIN32)
  file(COPY ${ONNXRUNTIME_WIN_BIN_DIR}/onnxruntime.dll
      DESTINATION ${dist_folder})
  if (ORT_NODEJS_DLL_DEPS)
    foreach(dll ${ORT_NODEJS_DLL_DEPS})
      file(COPY ${dll} DESTINATION ${dist_folder})
    endforeach()
  endif()

elseif (APPLE)
  file(COPY ${ONNXRUNTIME_BUILD_DIR}/libonnxruntime.dylib
      DESTINATION ${dist_folder} FOLLOW_SYMLINK_CHAIN)
elseif (UNIX)
  file(COPY ${ONNXRUNTIME_BUILD_DIR}/libonnxruntime.so
      DESTINATION ${dist_folder} FOLLOW_SYMLINK_CHAIN)
else()
  message(FATAL_ERROR "Platform not supported.")
endif()

=== js/react_native/android/CMakeLists.txt ===
project(OnnxruntimeJSIHelper)
cmake_minimum_required(VERSION 3.9.0)

set (PACKAGE_NAME "onnxruntime-react-native")
set (BUILD_DIR ${CMAKE_SOURCE_DIR}/build)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 17)

file(TO_CMAKE_PATH "${NODE_MODULES_DIR}/react-native/ReactCommon/jsi/jsi/jsi.cpp" libPath)

include_directories(
        "${NODE_MODULES_DIR}/react-native/React"
        "${NODE_MODULES_DIR}/react-native/React/Base"
        "${NODE_MODULES_DIR}/react-native/ReactCommon/jsi"
)

add_library(onnxruntimejsihelper
        SHARED
        ${libPath}
        src/main/cpp/cpp-adapter.cpp
)

# Configure C++ 17
set_target_properties(
        onnxruntimejsihelper PROPERTIES
        CXX_STANDARD 17
        CXX_EXTENSIONS OFF
        POSITION_INDEPENDENT_CODE ON
)

find_library(log-lib log)

target_link_libraries(
        onnxruntimejsihelper
        ${log-lib}          # <-- Logcat logger
        android             # <-- Android JNI core
)

=== onnxruntime/test/python/requirements.txt ===
onnx==1.17.0
pytest

=== cmake/tensorboard/compat/proto/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License.

FetchContent_Declare(
  tensorboard
  URL ${DEP_URL_tensorboard}
  URL_HASH SHA1=${DEP_SHA1_tensorboard}
)
FetchContent_MakeAvailable(tensorboard)

set(TENSORBOARD_ROOT ${tensorboard_SOURCE_DIR})

# tensorboard protos
file(GLOB_RECURSE tensorboard_proto_srcs CONFIGURE_DEPENDS
  "${TENSORBOARD_ROOT}/tensorboard/compat/proto/*.proto"
)

add_library(tensorboard STATIC ${tensorboard_proto_srcs})
onnxruntime_protobuf_generate(APPEND_PATH IMPORT_DIRS ${tensorboard_SOURCE_DIR} ${protobuf_SOURCE_DIR}/src TARGET tensorboard)
onnxruntime_add_include_to_target(tensorboard ${PROTOBUF_LIB})
target_include_directories(tensorboard PRIVATE ${PROJECT_BINARY_DIR})
add_dependencies(tensorboard ${onnxruntime_EXTERNAL_DEPENDENCIES})
if(WIN32)
  target_compile_options(tensorboard PRIVATE "/wd4100" "/wd4125" "/wd4127" "/wd4267" "/wd4456" "/wd4800" "/wd6011" "/wd6387" "/wd28182")
endif()

=== orttraining/orttraining/test/external_custom_ops/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.

project(orttraining_external_custom_ops)
find_package(pybind11 REQUIRED)
find_package(PythonInterp 3)
find_package(PythonLibs 3)
add_compile_definitions(ONNX_ML=1)
add_compile_definitions(ONNX_NAMESPACE=onnx)
add_compile_definitions(ONNX_USER_LITE_PROTO=ON)
add_library(orttraining_external_custom_ops SHARED src/foo_op.cpp)

if ("${ONNXRUNTIME_EXTERNAL_INCLUDE}" STREQUAL "")
  execute_process (COMMAND python -c "import os; import onnxruntime; print(
                              os.path.join(os.path.join(os.path.dirname(onnxruntime.__file__), 'external'), 'include'))"
                   OUTPUT_VARIABLE ONNXRUNTIME_EXTERNAL_INCLUDE
                   OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()

if ("${ONNX_INCLUDE}" STREQUAL "")
  execute_process (COMMAND python -c "import os; import onnx; print(os.path.dirname(os.path.dirname(onnx.__file__)))"
                   OUTPUT_VARIABLE ONNX_INCLUDE
                   OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
target_include_directories(orttraining_external_custom_ops PUBLIC ${ONNX_INCLUDE} ${ONNXRUNTIME_EXTERNAL_INCLUDE})
pybind11_add_module(orttraining_external_custom_ops src/foo_op.cpp)

=== tools/ci_build/requirements/pybind/requirements.txt ===
setuptools
flatbuffers
wheel
pytest
numpy>=1.19.0
sympy>=1.10
packaging
cerberus
psutil
flatbuffers

=== tools/ci_build/requirements/transformers-test/requirements.txt ===
# packages used by transformers python unittest
packaging
# protobuf and numpy is same as tools/ci_build/github/linux/docker/scripts/manylinux/requirements.txt
protobuf==4.21.12
numpy==1.21.6 ; python_version < '3.9'
numpy==2.0.0 ; python_version >= '3.9'
torch
coloredlogs==15.0
transformers==4.46.3
parameterized>=0.8.1
psutil
einops

=== onnxruntime/python/tools/tensorrt/perf/requirements.txt ===
onnxconverter-common
onnxmltools
pandas
coloredlogs

=== debian/changelog ===
onnxruntime (1.21.0+dfsg-2~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Dec 2025 10:09:38 -0800

onnxruntime (1.21.0+dfsg-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Move providers into their own package to avoid conflicts (Closes: #1098349)
  * Cherry-pick upstream patches:
    - fixing compilation with gcc-15 (Closes: #1097506)
    - fixing transpose store op for LoongArch (Closes: #1105821)

  [ YOKOTA Hiroshi ]
  * Enable i386 on CI build
  * Add SSE2 requirement flag to control file
  * Enable SSE2 for Debian i386 platform (Closes: #1110690)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 15 Sep 2025 14:26:46 +0200

onnxruntime (1.21.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * d/patches: update set-soversion.patch to use SOVERSION in the generation of
    linker scripts (so that ABIs are stable across patch releases).
  * Update symbol control file for libonnxruntime1.21.

 -- Shengqi Chen <harry@debian.org>  Thu, 13 Mar 2025 23:28:54 +0800

onnxruntime (1.21.0+dfsg-1~exp2) experimental; urgency=medium

  * d/tests: add test-name feature to all stanza
  * d/control:
    + bump std-ver to 4.7.2 (no changes required)
    + disable test-related B-D since tests are not compiled
  * d/patches:
    + do not require unused packages to be found in cmake
    + simply system-date-and-mp11.patch

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 13:03:10 +0800

onnxruntime (1.21.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 1.21.0+dfsg
    + change SONAME to libonnxruntime1.21
    + enable dlpack and add patch to use libdlpack from system
  * d/patches:
    + refresh all existing patches, remove unused patch
    + set SONAME to MAJOR.MINOR to avoid needless transitions
    + backport gcc-14 compilation fix from upstream
    + disable downloading in system-re2.patch

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Mar 2025 00:46:59 +0800

=== debian/control ===
Source: onnxruntime
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Dylan Aïssi <daissi@debian.org>,
           Shengqi Chen <harry@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-numpy3,
               dh-sequence-python3,
               cmake,
               libboost-dev,
#               libbenchmark-dev, # not enabled in rules
               libcpuinfo-dev (>= 0.0~git20240830.fa1c679),
               libdlpack-dev,
               libdnnl-dev [amd64 arm64 ppc64el s390x],
               libeigen3-dev (>= 3.4.0),
               libflatbuffers-dev,
#               libgmock-dev <!nocheck>,
#               libgtest-dev <!nocheck>,
               libhowardhinnant-date-dev,
               libmsgsl-dev,
               libonnx-dev,
#               libonnx-testdata <!nocheck>,
               libpng-dev,
               libprotobuf-dev,
               libpthreadpool-dev,
               libre2-dev,
               libsafeint-dev,
               libxnnpack-dev (>= 0.0~git20241108.4ea82e5~) [amd64 arm64 armhf i386 riscv64 x32],
               ninja-build,
               nlohmann-json3-dev,
               pkgconf,
               protobuf-compiler,
               python3-all,
               python3-all-dev,
               python3-numpy,
               python3-onnx,
               python3-packaging,
               python3-protobuf,
               python3-pybind11,
               python3-setuptools,
               python3-wheel,
               sse2-support [i386],
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/deeplearning-team/onnxruntime
Vcs-Git: https://salsa.debian.org/deeplearning-team/onnxruntime.git
Homepage: https://github.com/microsoft/onnxruntime
Rules-Requires-Root: no

Package: libonnxruntime1.21
Architecture: any
Multi-Arch: same
Section: libs
Depends: libonnxruntime-providers (= ${binary:Version}),
         sse2-support [i386],
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libonnxruntime1.19.2, libonnxruntime1.20.1
Replaces: libonnxruntime-dev (<< 1.20.1+dfsg-1~exp2~),
          libonnxruntime1.19.2,
          libonnxruntime1.20.1
Breaks: libonnxruntime-dev (<< 1.20.1+dfsg-1~exp2~)
Description: cross-platform inference and training ML accelerator (shared lib)
 ONNX Runtime is a performance-focused complete scoring engine for Open Neural
 Network Exchange (ONNX) models, with an open extensible architecture to
 continually address the latest developments in AI and Deep Learning. ONNX
 Runtime stays up to date with the ONNX standard with complete implementation of
 all ONNX operators, and supports all ONNX releases (1.2+) with both future and
 backwards compatibility. Please refer to this page for ONNX opset compatibility
 details.
 .
 This package provides the shared library.

Package: libonnxruntime-providers
Architecture: any
Multi-Arch: same
Section: libs
Depends: sse2-support [i386], ${misc:Depends}, ${shlibs:Depends}
Breaks: libonnxruntime1.21 (<< 1.21.0+dfsg-2~)
Replaces: libonnxruntime1.21 (<< 1.21.0+dfsg-2~)
Description: cross-platform inference and training ML accelerator (providers)
 ONNX Runtime is a performance-focused complete scoring engine for Open Neural
 Network Exchange (ONNX) models, with an open extensible architecture to
 continually address the latest developments in AI and Deep Learning. ONNX
 Runtime stays up to date with the ONNX standard with complete implementation of
 all ONNX operators, and supports all ONNX releases (1.2+) with both future and
 backwards compatibility. Please refer to this page for ONNX opset compatibility
 details.
 .
 This package provides the providers.

Package: libonnxruntime-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libonnxruntime1.21 (= ${binary:Version}), ${misc:Depends}
Breaks: libonnxruntime1.13.1 (<< 1.16.3+dfsg-1~)
Replaces: libonnxruntime1.13.1 (<< 1.16.3+dfsg-1~)
Description: cross-platform inference and training ML accelerator (dev files)
 ONNX Runtime is a performance-focused complete scoring engine for Open Neural
 Network Exchange (ONNX) models, with an open extensible architecture to
 continually address the latest developments in AI and Deep Learning. ONNX
 Runtime stays up to date with the ONNX standard with complete implementation of
 all ONNX operators, and supports all ONNX releases (1.2+) with both future and
 backwards compatibility. Please refer to this page for ONNX opset compatibility
 details.
 .
 This package provides the development files for libonnxruntime.

Package: onnxruntime-tools
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: cross-platform inference and training ML accelerator (tools)
 ONNX Runtime is a performance-focused complete scoring engine for Open Neural
 Network Exchange (ONNX) models, with an open extensible architecture to
 continually address the latest developments in AI and Deep Learning. ONNX
 Runtime stays up to date with the ONNX standard with complete implementation of
 all ONNX operators, and supports all ONNX releases (1.2+) with both future and
 backwards compatibility. Please refer to this page for ONNX opset compatibility
 details.
 .
 This package provides the onnxruntime tools.

Package: python3-onnxruntime
Architecture: any
Section: python
Depends: libonnxruntime1.21 (= ${binary:Version}),
         sse2-support [i386],
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: cross-platform inference and training ML accelerator (Python bindings)
 ONNX Runtime is a performance-focused complete scoring engine for Open Neural
 Network Exchange (ONNX) models, with an open extensible architecture to
 continually address the latest developments in AI and Deep Learning. ONNX
 Runtime stays up to date with the ONNX standard with complete implementation of
 all ONNX operators, and supports all ONNX releases (1.2+) with both future and
 backwards compatibility. Please refer to this page for ONNX opset compatibility
 details.
 .
 This package provides the onnxruntime Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
export DEB_CFLAGS_MAINT_STRIP = -O3
export DEB_CXXFLAGS_MAINT_STRIP = -O3

ifeq ($(DEB_HOST_ARCH),i386)
  export DEB_CFLAGS_MAINT_APPEND   = -msse2
  export DEB_CXXFLAGS_MAINT_APPEND = -msse2
endif

FULLVERSION=1.21.0
SOVERSION=1.21

# xnnpack is only available on several architectures.
# on riscv64 the provider is not usable: https://ci.debian.net/packages/o/onnxruntime/testing/riscv64/57967709/
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 x32))
USE_XNNPACK=ON
else
USE_XNNPACK=OFF
endif

# dnnl is only available on several architectures.
# riscv64 is temporarily disabled until onednn has openmp support on it,
# because onnxruntime always sets DNNL_OPENMP when onnxruntime_USE_DNNL is set.
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 ppc64el s390x))
USE_DNNL=ON
else
USE_DNNL=OFF
endif

PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')

PATH_LIB=usr/lib/${DEB_HOST_MULTIARCH}
PATH_LIB_PYTHON=usr/lib/python3/dist-packages/onnxruntime/capi

%:
	dh $@ --buildsystem=cmake+ninja --sourcedirectory=cmake --builddirectory=.

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_INCLUDEDIR=include \
		-Deigen_SOURCE_PATH=/usr/include/eigen3 \
		-Donnxruntime_BUILD_BENCHMARKS=OFF \
		-Donnxruntime_BUILD_SHARED_LIB=ON \
		-Donnxruntime_BUILD_UNIT_TESTS=OFF \
		-Donnxruntime_DISABLE_ABSEIL=ON \
		-Donnxruntime_ENABLE_CPUINFO=ON \
		-Donnxruntime_ENABLE_DLPACK=ON \
		-Donnxruntime_ENABLE_PYTHON=ON \
		-Donnxruntime_ONNX_PROTO_DATA_DIR=/usr/lib/python3/dist-packages \
		-Donnxruntime_ONNX_TEST_DATA_DIR=/usr/share/libonnx-testdata/data \
		-Donnxruntime_USE_FULL_PROTOBUF=ON \
		-Donnxruntime_USE_PREINSTALLED_EIGEN=ON \
		-Donnxruntime_USE_XNNPACK=$(USE_XNNPACK) \
		-Donnxruntime_USE_DNNL=$(USE_DNNL) \
		-DPYTHON_VERSION=${PYVERS} \
		$(NULL)

override_dh_auto_build:
	dh_auto_build
	# Build Python bindings
	dh_auto_build --buildsystem=pybuild --sourcedirectory=.

override_dh_auto_install:
	dh_auto_install
	# Install Python bindings
	dh_auto_install --buildsystem=pybuild --sourcedirectory=.

execute_after_dh_link:
	# To avoid having large duplicated libraries
	dh_link -ppython3-onnxruntime \
	  ${PATH_LIB}/libonnxruntime.so.$(SOVERSION) ${PATH_LIB_PYTHON}/libonnxruntime.so.$(SOVERSION) \
	  ${PATH_LIB}/libonnxruntime.so.$(FULLVERSION) ${PATH_LIB_PYTHON}/libonnxruntime.so.$(FULLVERSION)

override_dh_python3:
	dh_python3
	# remove loadable plugins already installed in libonnxruntime-providers
	-find debian/python3-onnxruntime -type f -name 'libonnxruntime_providers_*.so*' -delete

override_dh_auto_test:
	# Do NOT run tests, they depend on *.onnx dataset with unclear license
	# See https://github.com/microsoft/onnxruntime/issues/8963

override_dh_auto_clean:

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/libonnxruntime_providers_ \
		-- -c4

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: build
Depends: build-essential, libonnxruntime-dev, pkgconf
Restrictions: superficial

Test-Command: python3 debian/tests/inference.py
Depends: python3-numpy, python3-onnx, python3-torch, @
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el riscv64 s390x
Features: test-name=test-inference-simple

Test-Command: python3 debian/tests/providers.py
Depends: python3-numpy, python3-onnx, python3-torch, @
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el riscv64 s390x
Features: test-name=test-execution-providers

# this needs python3-onnxscript, which is net yet packaged.
#Test-Command: python3 transformer.py
#Depends: @, python3-torch, python3-numpy,
#Restrictions: allow-stderr
#Architecture: amd64 arm64 ppc64el s390x riscv64
#Features: test-name=test-inference-transformers

## onnxruntime 1.23.1+dfsg

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 include(CMakeDependentOption)
 include(FetchContent)
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(GNUInstallDirs) # onnxruntime_providers_* require CMAKE_INSTALL_* variables
 
 # TODO: update this once all system adapt c++20
@@ -47,16 +48,10 @@
 # NOTE: POSITION INDEPENDENT CODE hurts performance, and it only make sense on POSIX systems
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
-# Enable CTest
 enable_testing()
-include(CTest)
 if (NOT CMAKE_BUILD_TYPE)
   message(STATUS "Build type not set - using RelWithDebInfo")
   set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose build type: Debug Release RelWithDebInfo MinSizeRel." FORCE)
-endif()
-
-if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_LESS 9)
-  message(FATAL_ERROR  "GCC version must be greater than or equal to 9")
 endif()
 
 # Options
@@ -66,9 +61,10 @@
 option(onnxruntime_ENABLE_STATIC_ANALYSIS "Enable static analysis" OFF)
 option(onnxruntime_USE_CUSTOM_STATIC_ANALYSIS_RULES "Use a custom SDL Rule. It is mainly for our CI build" OFF)
 option(onnxruntime_REDIRECT_STATIC_ANALYSIS_OUTPUTS_TO_FILE "Use a custom SDL Rule. It is mainly for our CI build" OFF)
-option(onnxruntime_ENABLE_PYTHON "Enable python buildings" OFF)
+option(onnxruntime_ENABLE_PYTHON "Enable python bindings" OFF)
 # Enable it may cause LNK1169 error
 option(onnxruntime_ENABLE_MEMLEAK_CHECKER "Experimental: Enable memory leak checker in Windows debug build" OFF)
+option(onnxruntime_ENABLE_CONVSYMKERNELAVX2_SAT_CHECKER "Experimental: Enable ConvSymKernelAvx2 assembly saturation checker in build" OFF)
 option(onnxruntime_USE_CUDA "Build with CUDA support" OFF)
 # Enable ONNX Runtime CUDA EP's internal unit tests that directly access the EP's internal functions instead of through
 # OpKernels. When the option is ON, we will have two copies of GTest library in the same process. It is not a typical
@@ -87,6 +83,12 @@
 option(onnxruntime_USE_RKNPU "Build with RKNPU support" OFF)
 option(onnxruntime_USE_DNNL "Build with DNNL support" OFF)
 option(onnxruntime_USE_JSEP "Build with JavaScript implemented kernels support" OFF)
+option(onnxruntime_USE_KLEIDIAI "Build with KleidiAI integration in MLAS" OFF)
+# iOS simulator build explicitly builds targets with USE_KLEIDIAI=ON so attempting to force override if so
+if(APPLE AND CMAKE_OSX_ARCHITECTURES MATCHES "x86_64")
+    message(WARNING "Disabling KleidiAI: not supported on Apple x86_64 platforms")
+  set(onnxruntime_USE_KLEIDIAI OFF CACHE BOOL "" FORCE)
+endif()
 option(onnxruntime_BUILD_UNIT_TESTS "Build ONNXRuntime unit tests" ON)
 option(onnxruntime_BUILD_CSHARP "Build C# library" OFF)
 option(onnxruntime_BUILD_OBJC "Build Objective-C library" OFF)
@@ -95,8 +97,9 @@
 option(onnxruntime_USE_VSINPU "Build with VSINPU support" OFF)
 
 cmake_dependent_option(onnxruntime_USE_FLASH_ATTENTION "Build flash attention kernel for scaled dot product attention" ON "onnxruntime_USE_CUDA" OFF)
-cmake_dependent_option(onnxruntime_USE_LEAN_ATTENTION "Build lean attention kernel for scaled dot product attention" ON "onnxruntime_USE_CUDA; NOT WIN32" OFF)
-option(onnxruntime_USE_MEMORY_EFFICIENT_ATTENTION "Build memory efficient attention kernel for scaled dot product attention" ON)
+option(onnxruntime_USE_LEAN_ATTENTION "Build lean attention kernel for scaled dot product attention" OFF)
+cmake_dependent_option(onnxruntime_USE_MEMORY_EFFICIENT_ATTENTION "Build memory efficient attention kernel for scaled dot product attention" ON "onnxruntime_USE_CUDA" OFF)
+cmake_dependent_option(onnxruntime_USE_FPA_INTB_GEMM "Build FpA IntB gemm cuda kernels" ON "onnxruntime_USE_CUDA" OFF)
 
 option(onnxruntime_BUILD_FOR_NATIVE_MACHINE "Enable this option for turning on optimization specific to this machine" OFF)
 option(onnxruntime_USE_AVX "Use AVX instructions" OFF)
@@ -110,6 +113,7 @@
 option(onnxruntime_USE_VITISAI "Build with Vitis-AI" OFF)
 option(onnxruntime_USE_TENSORRT "Build with TensorRT support" OFF)
 option(onnxruntime_USE_TENSORRT_BUILTIN_PARSER "Use TensorRT builtin parser" OFF)
+option(onnxruntime_USE_NV "Build with TensorRT support" OFF)
 option(onnxruntime_ENABLE_LTO "Enable link time optimization" OFF)
 option(onnxruntime_CROSS_COMPILING "Cross compiling onnx runtime" OFF)
 option(onnxruntime_GCOV_COVERAGE "Compile with options necessary to run code coverage" OFF)
@@ -132,10 +136,10 @@
 option(onnxruntime_USE_TELEMETRY "Build with Telemetry" OFF)
 cmake_dependent_option(onnxruntime_USE_MIMALLOC "Override new/delete and arena allocator with mimalloc" OFF "WIN32;NOT onnxruntime_USE_CUDA;NOT onnxruntime_USE_OPENVINO" OFF)
 option(onnxruntime_USE_CANN "Build with CANN support" OFF)
-option(onnxruntime_USE_ROCM "Build with AMD GPU support" OFF)
 option(onnxruntime_USE_XNNPACK "Build with XNNPACK support. Provides an alternative math library on ARM, WebAssembly and x86." OFF)
 option(onnxruntime_USE_WEBNN "Build with WebNN support. Enable hardware acceleration in web browsers." OFF)
 option(onnxruntime_USE_WEBGPU "Build with WebGPU support. Enable WebGPU via C/C++ interface." OFF)
+option(onnxruntime_WGSL_TEMPLATE "Specify the code generator for WGSL template. Default is static." "static")
 option(onnxruntime_USE_EXTERNAL_DAWN "Build with treating Dawn as external dependency. Will not link Dawn at build time." OFF)
 option(onnxruntime_CUSTOM_DAWN_SRC_PATH "Path to custom Dawn src dir.")
 option(onnxruntime_BUILD_DAWN_MONOLITHIC_LIBRARY "Build Dawn as a monolithic library" OFF)
@@ -152,6 +156,7 @@
 option(onnxruntime_DISABLE_OPTIONAL_TYPE "Disable optional type" OFF)
 option(onnxruntime_DISABLE_FLOAT8_TYPES "Disable float 8 types" OFF)
 option(onnxruntime_MINIMAL_BUILD "Exclude as much as possible from the build. Support ORT format models. No support for ONNX format models." OFF)
+option(onnxruntime_CLIENT_PACKAGE_BUILD "Enables default settings that are more appropriate for client/on-device workloads." OFF)
 cmake_dependent_option(onnxruntime_DISABLE_RTTI "Disable RTTI" ON "NOT onnxruntime_ENABLE_PYTHON;NOT onnxruntime_USE_CUDA" OFF)
 # For now onnxruntime_DISABLE_EXCEPTIONS will only work with onnxruntime_MINIMAL_BUILD, more changes (ONNX, non-CPU EP, ...) are required to run this standalone
 cmake_dependent_option(onnxruntime_DISABLE_EXCEPTIONS "Disable exception handling. Requires onnxruntime_MINIMAL_BUILD currently." ON "onnxruntime_MINIMAL_BUILD;NOT onnxruntime_ENABLE_PYTHON" OFF)
@@ -168,15 +173,3 @@
 option(onnxruntime_USE_VALGRIND "Build with valgrind hacks" OFF)
 
 # A special build option only used for gathering code coverage info
-option(onnxruntime_RUN_MODELTEST_IN_DEBUG_MODE "Run model tests even in debug mode" OFF)
-
-# options for security fuzzing
-# build configuration for fuzz testing is in onnxruntime_fuzz_test.cmake
-option(onnxruntime_FUZZ_TEST "Enable Fuzz testing" OFF)
-
-# training options
-option(onnxruntime_ENABLE_NVTX_PROFILE "Enable NVTX profile." OFF)
-option(onnxruntime_ENABLE_MEMORY_PROFILE "Enable memory profile." OFF)
-option(onnxruntime_ENABLE_TRAINING "Enable full training functionality. Includes ORTModule and ORT Training APIs" OFF)
-option(onnxruntime_ENABLE_TRAINING_APIS "Enable ort training apis." OFF)
-option(onnxruntime_ENABLE_TRAINING_OPS "Include training operators but no training session support." OFF)

=== tools/ci_build/requirements/transformers-test/requirements.txt ===
# packages used by transformers python unittest
packaging
# protobuf and numpy is same as tools/ci_build/github/linux/docker/scripts/manylinux/requirements.txt
protobuf==4.25.1
numpy==2.2.6
torch>=2.6.0
coloredlogs==15.0
transformers==4.52.1
parameterized>=0.8.1
sentencepiece
psutil
einops
onnxscript==0.3.2

=== tools/ci_build/github/linux/python/requirements.txt ===
numpy==2.2.6
mypy
pytest
setuptools>=68.2.2
wheel
onnx==1.18.0
protobuf==4.25.1
sympy==1.14
flatbuffers
psutil
onnxscript==0.3.2
jinja2
markupsafe

=== tools/ci_build/github/windows/python/requirements.txt ===
numpy==2.2.6
mypy
pytest
setuptools>=68.2.2
wheel
onnx==1.18.0
protobuf==4.25.1
sympy==1.14
flatbuffers
psutil
onnxscript==0.3.2
jinja2
markupsafe
semver
packaging
coloredlogs

=== tools/ci_build/github/linux/docker/scripts/requirements.txt ===
cerberus
numpy==2.2.6
mypy
pytest
setuptools==78.1.1
wheel==0.45.1
onnx==1.18.0
argparse
sympy==1.14
flatbuffers
protobuf==4.25.1
packaging

=== debian/changelog ===
onnxruntime (1.23.1+dfsg-1) experimental; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 1.23.1+dfsg.
  * d/patches: refresh and remove outdated patches.
  * Bump SONAME to libonnxruntime1.23.

  [ Dylan Aïssi ]
  * Add patch fixing maybe-uninitialized and range-loop-construct warnings
  * d/control: bump B-D version of onnx

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jan 2026 22:52:07 +0100

onnxruntime (1.21.0+dfsg-3) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * Use d/watch 5

  [ Dylan Aïssi ]
  * d/watch: use Github template
  * Don't treat uninitialized warnings as errors for now (Closes: #1117355)
  * Build ONNX Runtime with -O3 like binaries provided upstream
  * Build-Deps on python3* rather than python3-all* (Closes: #1119803)
  * Add debian/gbp.conf
  * debian/salsa-ci: disable arm64 and remove reference to reprotest

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Jan 2026 21:06:37 +0100
